{% extends "lab_7/layout/base.html" %}
{% block content %}
<section name="mahasiswa-list" id="mahasiswa-list">
    <div class="container">
        <div class="row">
            <div class="col-md-8 col-lg-8">
                <h2> Mahasiswa Fasilkom</h2>
                <div class="list-group">
                    {% if mahasiswa %}
                        {% for student in mahasiswa %}
                            <a class="list-group-item clearfix">
                                {{ student.nama }} ({{ student.npm }})
                                <span class="pull-right">
                                    <span class="btn btn-xs btn-default" onClick="addFriend('{{ student.nama }}', '{{ student.npm }}')">
                                        Tambah sebagai teman
                                    </span>
                                </span>
                            </a>
                        {% endfor %}
                    {% else %}
                        <div class="alert alert-danger text-center">
                            <strong>Opps!</strong> Tidak ada mahasiswa
                        </div>
                    {% endif %}
                </div>
            </div>
            <div class="pagination">
                <span class="step-links">
                    {% if mahasiswa.has_previous %}
                        <a href="?page={{ mahasiswa.previous_page_number }}">prev</a>
                    {% endif %}

                    <span class="current">
                        Page {{ mahasiswa.number }} of {{ mahasiswa.paginator.num_pages }}
                    </span>

                    {% if mahasiswa.has_next %}
                        <a href="?page={{ mahasiswa.next_page_number }}">next</a>
                    {% endif %}
                </span>
            </div>

            <!-- menampilkan teman saya -->
            <div class="col-lg-4">
                <h2> Teman Saya </h2>
                <div class="list-group" id="friend-list">
                    {% if friend_list %}
                        {% for friend in friend_list %}
                            <a class="list-group-item clearfix">
                                {{ friend.friend_name }} ({{ friend.npm }})
                            </a>
                        {% endfor %}
                    {% else %}
                        <div class="alert alert-danger text-center">
                            <strong>Opps!</strong> Tidak ada teman
                        </div>
                    {% endif %}
                </div>

                <!-- input tambah teman -->
                <form id="add-friend" action="#">
                    {% csrf_token %}
                    <label for="field_npm">npm</label>
                    <input id="field_npm" type="text" name="npm" class="form-control"/>
                    <label for="field_name">name</label>
                    <input id="field_name" type="text" name="name" class="form-control"/>
                    <button type="submit">Tambah</button>
                </form>
            </div>
        </div>
    </div>
</section>
{% endblock %}
{% block javascript %}
<script>
    var addFriend = function(nama, npm) {
        $.ajax({
            method: "POST",
            url: "{% url "lab-7:add-friend" %}",
            data: { name: nama, npm: npm},
            success : function (friend) {
                html = '<a class="list-group-item clearfix">' +
                    friend.friend_name +" ("+ friend.npm+")"
                    '</a>';
                $("#friend-list").append(html);
            },
            error : function (error) {
                console.log(error);
                alert("Mahasiswa tersebut sudah ditambahkan sebagai teman")
            }
        });
    };

    $("#add-friend").on("submit", function () {
       name = $("#field_name").val();
       npm = $("#field_npm").val();
        console.log('dada');
        addFriend(name, npm);
        event.preventDefault();
    });

    $("#field_npm").change(function () {
        console.log( $(this).val() );
        npm = $(this).val();
        $.ajax({
            method: "POST",
            url: '{% url "lab-7:validate-npm" %}',
            data: {
                'npm': npm
            },
            dataType: 'json',
            success: function (data) {
                console.log(data)
                if (data.is_taken) {
                    alert("Mahasiswa dengan npm seperti ini sudah ada");
                }
            }
        });
    });
</script>
{% endblock %}
